Stable Image Ultra
Our most advanced text to image generation service, Stable Image Ultra creates the highest quality images with unprecedented prompt understanding. Ultra excels in typography, complex compositions, dynamic lighting, vibrant hues, and overall cohesion and structure of an art piece. Made from the most advanced models, including Stable Diffusion 3.5, Ultra offers the best of the Stable Diffusion ecosystem.
Try it out
Grab your API key and head over to
How to use
Please invoke this endpoint with a POST request.
The headers of the request must include an API key in the authorization field. The body of the request must be
multipart/form-data. The accept header should be set to one of the following:
image/*to receive the image in the format specified by theoutput_formatparameter.application/jsonto receive the image in the format specified by theoutput_formatparameter, but encoded to base64 in a JSON response.
The only required parameter is the prompt field, which should contain the text prompt for the image generation.
The body of the request should include:
prompt- text to generate the image from
The body may optionally include:
image- the image to use as the starting point for the generationstrength- controls how much influence theimageparameter has on the output imageaspect_ratio- the aspect ratio of the output imagenegative_prompt- keywords of what you do not wish to see in the output imageseed- the randomness seed to use for the generationoutput_format- the format of the output image
Note: for the full list of optional parameters, please see the request schema below.
Output
The resolution of the generated image will be 1 megapixel. The default resolution is 1024x1024.
Credits
The Ultra service uses 8 credits per successful result. You will not be charged for failed results.
Authorizations
Use your Stability API key to authentication requests to this App.
Headers
Your Stability API key, used to authenticate your requests. Although you may have multiple keys in your account, you should use the same key for all requests to this API.
1The content type of the request body. Do not manually specify this header; your HTTP client library will automatically include the appropriate boundary parameter.
1"multipart/form-data"
Specify image/* to receive the bytes of the image directly. Otherwise specify application/json to receive the image as base64 encoded JSON.
image/*, application/json The name of your application, used to help us communicate app-specific debugging or moderation issues to you.
256"my-awesome-app"
A unique identifier for your end user. Used to help us communicate user-specific debugging or moderation issues to you. Feel free to obfuscate this value to protect user privacy.
256"DiscordUser#9999"
The version of your application, used to help us communicate version-specific debugging or moderation issues to you.
256"1.2.1"
Body
What you wish to see in the output image. A strong, descriptive prompt that clearly defines elements, colors, and subjects will lead to better results.
To control the weight of a given word use the format (word:weight),
where word is the word you'd like to control the weight of and weight
is a value between 0 and 1. For example: The sky was a crisp (blue:0.3) and (green:0.8)
would convey a sky that was blue and green, but more green than blue.
1 - 10000A blurb of text describing what you do not wish to see in the output image. This is an advanced feature.
10000Controls the aspect ratio of the generated image.
21:9, 16:9, 3:2, 5:4, 1:1, 4:5, 2:3, 9:16, 9:21 A specific value that is used to guide the 'randomness' of the generation. (Omit this parameter or pass 0 to use a random seed.)
0 <= x <= 4294967294Dictates the content-type of the generated image.
jpeg, png, webp The image to use as the starting point for the generation.
Important: The
strengthparameter is required whenimageis provided.
Supported Formats:
- jpeg
- png
- webp
Validation Rules:
- Width must be between 64 and 16,384 pixels
- Height must be between 64 and 16,384 pixels
- Total pixel count must be at least 4,096 pixels
Guides the image model towards a particular style.
enhance, anime, photographic, digital-art, comic-book, fantasy-art, line-art, analog-film, neon-punk, isometric, low-poly, origami, modeling-compound, cinematic, 3d-model, pixel-art, tile-texture Sometimes referred to as denoising, this parameter controls how much influence the
image parameter has on the generated image. A value of 0 would yield an image that
is identical to the input. A value of 1 would be as if you passed in no image at all.
Important: This parameter is required when
imageis provided.
0 <= x <= 1Response
Generation was successful.
The bytes of the generated image.
The finish-reason and seed will be present as headers.